ReadOnlyRequestProcessor (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class ReadOnlyRequestProcessor

- java.lang.Object
- - java.lang.Thread
  - - org.apache.zookeeper.server.ZooKeeperThread
    - - org.apache.zookeeper.server.ZooKeeperCriticalThread
      - - org.apache.zookeeper.server.quorum.ReadOnlyRequestProcessor

- All Implemented Interfaces:
    Runnable, RequestProcessor

      public class ReadOnlyRequestProcessor
      extends ZooKeeperCriticalThread
      implements RequestProcessor

  This processor is at the beginning of the ReadOnlyZooKeeperServer's processors chain. All it does is, it passes read-only operations (e.g. OpCode.getData, OpCode.exists) through to the next processor, but drops state-changing operations (e.g. OpCode.create, OpCode.setData).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

    - ### Nested classes/interfaces inherited from interface org.apache.zookeeper.server.RequestProcessor

      `RequestProcessor.RequestProcessorException`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyRequestProcessor(ZooKeeperServer zks, RequestProcessor nextProcessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processRequest(Request request)`
    `void` | `run()`
    `void` | `shutdown()`

    - ### Methods inherited from class org.apache.zookeeper.server.ZooKeeperCriticalThread

      `handleException`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadOnlyRequestProcessor

          public ReadOnlyRequestProcessor(ZooKeeperServer zks,
                                          RequestProcessor nextProcessor)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### processRequest

          public void processRequest(Request request)

      Specified by:
        `processRequest` in interface `RequestProcessor`

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `RequestProcessor`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.